Greetings,
I was able to retrieve a valid access token using:
export ACCESS_TOKEN=$(curl -s -X POST "https://api.refinitiv.com/auth/oauth2/v1/token" -H "Content-Type: application/x-www-form-urlencoded" -d "grant_type=password&username=$UNAME&password=$PWORD&client_id=$API_KEY&scope=trapi.data.pricing.read&takeExclusiveSignOnControl=true" | python3 -c "import sys,json; print(json.load(sys.stdin)['access_token'])")
But then got a Forbidden (attempting to access a ticker symbol):
curl -s "https://api.refinitiv.com/data/pricing/snapshots/v1/?universe=GSK.L" -H "Authorization: Bearer $ACCESS_TOKEN" | python3 -m json.tool
{
"error": {
"id": "3d11d19c-5ab3-4804-9f88-0a83be5295e0",
"code": "insufficient_scope",
"message": "access denied. Scopes required to access the resource: [trapi.data.pricing.read]. Missing scopes: [trapi.data.pricing.read]",
"status": "Forbidden"
}
}
It seems the auth server downgraded my scope? My DACS entitlements don't include pricing data.
Do you know how I can be granted the trapi.data.pricing.read entitlement?